Korg Forums Forum Index Korg Forums
A forum for Korg product users and musicians around the world.
Moderated Independently.
Owned by Irish Acts Recording Studio & hosted by KORG USA
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Important news for KLC-1 Windows users

 
Post new topic   Reply to topic    Korg Forums Forum Index -> Korg Legacy Collection
View previous topic :: View next topic  
Author Message
jerrythek
Platinum Member


Joined: 28 Jan 2002
Posts: 2914

PostPosted: Mon Dec 18, 2006 3:09 am    Post subject: Important news for KLC-1 Windows users Reply with quote

Hi:

I'm just back from Japan and got an issued clarified that we did not know earlier.

The 1.2/1.21 releases for Windows are not bug-fixes for the 1.19 or earlier versions. They only are fixing bugs from the 1.20 RTAS release.

So users who currently do not care about RTAS SHOULD NOT/DO NOT need to purchase the dongle nor the code update.

I'm sorry that this was not made clear to us, but users of pre-RTAS code are not being asked to pay for bug fixes. The bug fixes are only to the newer RTAS code.

Is that clear?

If anyone has purchased the code or a dongle assuming they were getting a bug fix PM me and we'll talk.

Sorry again, but I was as unclear as you were until this trip.

Regards,

Jerry
Back to top
View user's profile Send private message
SARcazm
Junior Member


Joined: 05 Mar 2005
Posts: 51

PostPosted: Tue Dec 19, 2006 1:12 pm    Post subject: Reply with quote

thx for the clarification.

glad I didn't upgrade then Very Happy
_________________
MS2000b, Legacy, Kontrol49, Triton LE 88
Back to top
View user's profile Send private message
Dv_



Joined: 13 Oct 2005
Posts: 30
Location: France

PostPosted: Tue Dec 19, 2006 2:32 pm    Post subject: Reply with quote

Things are clear now, thanks Jerry. Wink
Back to top
View user's profile Send private message Visit poster's website
Unogeek



Joined: 18 Jan 2006
Posts: 29
Location: UK, Hampshire

PostPosted: Tue Dec 19, 2006 10:14 pm    Post subject: Reply with quote

Jerry

What about the the Analogue Edition, I use it it on Windows. As I own the Digital Edition as well I paid for the update and have both licences on one Dongle. Everything works fine. Did I need to do this? I have no use for the RTAS version.

Thanks
Uno
Back to top
View user's profile Send private message
Francois
Approved Merchant
Approved Merchant


Joined: 06 May 2003
Posts: 4842
Location: Northants - UK

PostPosted: Wed Dec 20, 2006 5:18 pm    Post subject: Reply with quote

Besides the communication mistake, what was also confusing was the fact that after installing 1.2.1 VST, it wouldn't work nor ask for a challenge/response code. To me, this is what confirmed I'd have to buy the $15 licence, and sure enough, everything worked after upgrading (I'm talking about VST, I don't have any RTAS host). Why was that ? If the update was just for RTAS users, then why did the VST version not work ? This suggests there were mistakes not only from the communication side of things, but also from a programming point of view.
Back to top
View user's profile Send private message Visit poster's website
Dv_



Joined: 13 Oct 2005
Posts: 30
Location: France

PostPosted: Wed Dec 20, 2006 10:35 pm    Post subject: Reply with quote

If I understood everything well, it's because the v1.2.1 is the version with RTAS on it, its engine requires the dongle even if you choose not to install RTAS during the installation process !

KLC version with no RTAS is the one you can find under the "Authentication Method : Challenge & Response" sentence on korguser website, what is confusing is that, although it is called v1.1.9, it is up-to-date !
Back to top
View user's profile Send private message Visit poster's website
Francois
Approved Merchant
Approved Merchant


Joined: 06 May 2003
Posts: 4842
Location: Northants - UK

PostPosted: Wed Dec 20, 2006 10:49 pm    Post subject: Reply with quote

Let me rephrase. When I installed 1.2.1, I didn't select RTAS, simply VST.
Back to top
View user's profile Send private message Visit poster's website
Dv_



Joined: 13 Oct 2005
Posts: 30
Location: France

PostPosted: Wed Dec 20, 2006 11:05 pm    Post subject: Reply with quote

Yep, that means that the VST dll coming from this v1.2.1 has the dongle authentification method coded inside it !

This is logical, if you want to install only RTAS, you'll need to use the dongle, and if you want to install both RTAS and VST (why not ?), everything will be done thru the USB key, you won't have to authenticate VST with one method and RTAS with the other.
Back to top
View user's profile Send private message Visit poster's website
Francois
Approved Merchant
Approved Merchant


Joined: 06 May 2003
Posts: 4842
Location: Northants - UK

PostPosted: Wed Dec 20, 2006 11:26 pm    Post subject: Reply with quote

Exactly. This is why I said there was a programming error too. In the 1.2.1 package, there should have been an RTAS module working from USB key, and a VST module working from challenge/response. As both were working from USB key, you'd be excused to think a syncrosoft licence was needed. Now we know better, but too late.

I'm glad it was only $15 !

Mind you, Jerry says yes to a 15% discount on an Oasys for those who were inconvenienced.


(only kidding !)
Back to top
View user's profile Send private message Visit poster's website
jerrythek
Platinum Member


Joined: 28 Jan 2002
Posts: 2914

PostPosted: Thu Dec 21, 2006 3:18 am    Post subject: Reply with quote

Francois wrote:

I'm glad it was only $15 !

Mind you, Jerry says yes to a 15% discount on an Oasys for those who were inconvenienced.


(only kidding !)


Sharp - you have to really disable this ability to make small text...

Shocked

Wink
Back to top
View user's profile Send private message
MartinHines
Platinum Member


Joined: 21 Jan 2003
Posts: 2968
Location: Topeka, KS (USA)

PostPosted: Thu Dec 28, 2006 4:53 am    Post subject: Reply with quote

I am glad I saw this thread. I went over to the KorgUsernet website and was downloading updates for both KLC and KLC-DE and the text regarding KLC was very confusing.

My suggestions to Korg:

1. In the future, do not sell products that have overlapping software components in them (e.g. KLC and KLC-Analog, or KLC and KLC-DE [sharing Wavestation]). These overlaps create confusion.

2. Don't change software protection methods "mid-stream". This situation of "some KLC users need a dongle while others don't" is extremely confusing. A better solution would have been to only require a dongle on KLC "version 2" or not at all (to maintain consistency).

3. Consider creating a centralized support group and website for software products. Country Distributor support works well for hardware, but not so well for software.

4. At the very least, consider having a centralized method of collecting potential software bugs.
Back to top
View user's profile Send private message
jsepeta



Joined: 25 Feb 2009
Posts: 18
Location: Chicago, IL

PostPosted: Tue Sep 22, 2009 12:16 am    Post subject: and... Reply with quote

How about Korg USA uses US staff to explain in layman's terms what changes will affect which users? Sometimes corporate communications from international technology companies can read as confusing to normal musicians.
_________________
Korg synths I've owned or still own:

01R/W, 03R/W, 05R/W, CX3 organ (pre-MIDI), CX3 organ (w MIDI), DS-8, 707, DSM-1, EX-8000, Karma, M3, M1-REX, M3R, MS-2000R (Blue), MS-2000BR (Black), MicroKorg, N1, N1R, N5EX, NS5R, NX5R, Poly-800, EX-800, Poly-800 II, TR Rack, Triton, Triton Rack, Wavestation SR, Wavestation A/D, Volca Beats, Volca FM, Volca Sample, X3R
Back to top
View user's profile Send private message Visit poster's website AIM Address Yahoo Messenger MSN Messenger
Display posts from previous:   
Post new topic   Reply to topic    Korg Forums Forum Index -> Korg Legacy Collection All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group